# Function getPublic

- getPublic(collectionId, productId, variantId): Promise<VariantResponse>

- Get a single variant by ID for a collection and product (public endpoint).

  #### Parameters

  - collectionId: string

    Identifier of the parent collection

  - productId: string

    Identifier of the parent product

  - variantId: string

    Identifier of the variant

  #### Returns Promise<VariantResponse>

  Promise resolving to a VariantResponse object

  #### Throws

  ErrorResponse if the request fails

  - Defined in api/variant.ts:117